Web + Life Hack

〜True But Useless〜

【git】「brew install git」が出来なかったことと解消法

git をinstallしようとしたら以下の内容でエラーが。

 

f:id:g08m11:20121222005429p:plain

 

xcodeのバージョン古いから最新バージョンにしてねというエラーだけど、

xcodeのバージョンアップが以前と異なってた。

 

http://ip7.biz/wordpress/?p=952

 

ここからが長い。

①今のxcodeを削除。新規にxcodeをダウンロード。

しかしこれが1.8Gもあってwifi環境だとサクッといかない。

②dmpを解凍、アプリケーションに移動させ「brew install git」を実行。

今度は既にアップデートされると言われる。でも、バージョンは古いまま。

③実はmacにはデフォルトでgitが入っていて、homebrewだとデフォルトが優先されるという仕様らしい。知らなかった。

 

http://d.hatena.ne.jp/nenjiru/20111121/lion_default_git

 

④「export PATH=/usr/local/bin:$PATH」を実行でバージョンアップ完了。

 

f:id:g08m11:20121222012425p:plain

 

⑤問題ないことを確認。

 

f:id:g08m11:20121222013053p:plain

 

なので、④と⑤も忘れずにねという話でした。

広告を非表示にする